import evalIndex from '../../views/evaluation'
import newest from '../../views/evaluation/newest'
import evalCharts from '../../views/evaluation/charts'
import suggestion from '../../views/evaluation/suggestion'
import problem from '../../views/evaluation/problem'


export default {
  path: 'evaluation',
  name: '服务监督',
  component: evalIndex,
  redirect: '/evaluation/newest',
  children: [
    {
      path: 'index',
      name: '最新评价',
      // component: newest,
      redirect: '/evaluation/newest',
      meta: {}
    },
    {
      path: 'newest',
      name: '最新评价',
      component: newest,
      meta: {}
    },
    {
      path: 'charts',
      name: '评论概览',
      component: evalCharts,
      meta: {}
    },
    {
      path: 'bad/:type',
      name: '差评详情',
      component: newest,
      meta: {type: 'bad'}
    },
    {
      path: 'suggestion',
      name: '投诉与建议',
      component: suggestion
    },
    {
      path: 'suggestion/:id',
      name: '投诉与建议处理',
      component: problem
    },
    {
      path: 'suggestion/info/:id',
      name: '投诉与建议处理',
      component: problem,
      meta: {
        type: 'info'
      }
    },
  ]
};
