//游戏营销
import game from '../../views/game'

import dzp from '../../views/game/dzp/index.vue'
import dzpAddEdit from '../../views/game/dzp/addEdit.vue'
import dzpRecord from '../../views/game/dzp/record.vue'

import ggk from '../../views/game/ggk/index.vue'
import ggkAddEdit from '../../views/game/ggk/addEdit.vue'
import ggkRecord from '../../views/game/ggk/record.vue'

import ptyx from '../../views/game/ptyx/index.vue'
import ptyxAddEdit from '../../views/game/ptyx/addEdit.vue'
import ptyxRecord from '../../views/game/ptyx/record.vue'

import znm from '../../views/game/znm/index.vue'
import znmAddEdit from '../../views/game/znm/addEdit.vue'
import znmRecord from '../../views/game/znm/record.vue'

import klfl from '../../views/game/klfl/index.vue'
import klflAddEdit from '../../views/game/klfl/addEdit.vue'
import klflRecord from '../../views/game/klfl/record.vue'

export default {
        path: 'game',
        name: '游戏营销',
        component: game,
        redirect: 'game/dzp',
        children: [
          {
            path: 'dzp',
            name: '大转盘',
            component: dzp,
            meta: {}
          },
          {
            path: 'dzp/add',
            name: '大转盘新增',
            component: dzpAddEdit,
            meta: {type: 'add'}
          },
          {
            path: 'dzp/edit/:id',
            name: '大转盘编辑',
            component: dzpAddEdit,
            meta: {type: 'edit'}
          },
          {
            path: 'dzp/detail/:id',
            name: '大转盘查看',
            component: dzpAddEdit,
            meta: {type: 'detail'}
          },
          {
            path: 'dzp/record/:id',
            name: '大转盘中奖记录',
            component: dzpRecord,
            meta: {}
          },
          {
            path: 'ggk',
            name: '刮刮卡',
            component: ggk,
            meta: {}
          },
          {
            path: 'ggk/add',
            name: '刮刮卡新增',
            component: ggkAddEdit,
            meta: {type: 'add'}
          },
          {
            path: 'ggk/edit/:id',
            name: '刮刮卡编辑',
            component: ggkAddEdit,
            meta: {type: 'edit'}
          },
          {
            path: 'ggk/detail/:id',
            name: '刮刮卡详情',
            component: ggkAddEdit,
            meta: {type: 'detail'}
          },
          {
            path: 'ggk/record/:id',
            name: '刮刮卡中奖记录',
            component: ggkRecord,
            meta: {}
          },
          {
            path: 'ptyx',
            name: '拼图游戏',
            component: ptyx,
            meta: {}
          },
          {
            path: 'ptyx/add',
            name: '拼图游戏新增',
            component: ptyxAddEdit,
            meta: {type: 'add'}
          },
          {
            path: 'ptyx/edit/:id',
            name: '拼图游戏编辑',
            component: ptyxAddEdit,
            meta: {type: 'edit'}
          },
          {
            path: 'ptyx/query/:id',
            name: '拼图游戏详情',
            component: ptyxAddEdit,
            meta: {type: 'query'}
          },
          {
            path: 'ptyx/record/:id',
            name: '拼图游戏统计',
            component: ptyxRecord,
            meta: {}
          },
          {
            path: 'znm',
            name: '找你马',
            component: znm,
            meta: {}
          },
          {
            path: 'znm/add',
            name: '找你马新增',
            component: znmAddEdit,
            meta: {type: 'add'}
          },
          {
            path: 'znm/edit/:id',
            name: '找你马编辑',
            component: znmAddEdit,
            meta: {type: 'edit'}
          },
          {
            path: 'znm/record/:id',
            name: '找你马统计',
            component: znmRecord,
            meta: {}
          },
          {
            path: 'klfl',
            name: '口令福利',
            component: klfl,
            meta: {}
          },
          {
            path: 'klfl/add',
            name: '口令福利新增',
            component: klflAddEdit,
            meta: {type: 'add'}
          },
          {
            path: 'klfl/edit/:id',
            name: '口令福利编辑',
            component: klflAddEdit,
            meta: {type: 'edit'}
          },
          {
            path: 'klfl/record/:id',
            name: '口令福利中奖记录',
            component: klflRecord,
            meta: {}
          },
        ]
      };
